#!/bin/bash
# Modifications :
#  - 20071214 Bernard Choppy
#    possibilite de lancer depuis n'importe ou
#    systematisation de l'utilisation des variables
#  - 20071216 Bernard Choppy
#    deplacement des fichiers "*.slon" dans $SLON_TEMP

# 12_exec_addobj.sh
# Slonik scripts to add objects to an existing set of replication

cd `dirname $0`
cd ..
SLON=`pwd`
. ${SLON}/etc/slony_include.h
. ${SLON_ETC}/fonctions.sh

# Script d'ajout d'objets à une réplication active

slhelp() {
    if [[ x$LANG = xfr* ]]; then
  echo "$0"
  echo ""
  echo "Usage : $0 *options*"
  echo "  Options :"
  echo "   --help                Afficher ce message"
  echo "   -c|--cluster          Le nom de l'instance de réplication"
  echo "   -s|--set              Le numéro du set"
  echo ""
    else
  echo "$0"
  echo ""
  echo "Usage: $0 *options*"
  echo "  Options:"
  echo "   --help                Print this help"
  echo "   -c|--cluster          The name of the replication instance"
  echo "   -s|--set              The number of the set"
  echo ""
    fi
}

TEMP=`getopt -n $0 -o h:s:c: -l help,set:,cluster: -- "$@"`
if [ $? != 0 ] ; then
        echo "$0 error..." >&2 ;
        echo "$0 --help pour obtenir de l'aide" ; exit 1 ;
fi
eval set -- "$TEMP"

INSTANCE=""
SET=""
FILE=""
while [ $# -ge 1 ]; do
    case "$1" in
        -h|--help)
                HELP=1 ; 
		slhelp;
		exit 0 ;;
        -c|--cluster) shift ;
                INSTANCE="$1"
                ;;
        -s|--set) shift ;
                SET="$1"
                ;;
        --) shift ;
                break
                ;;
        *) 
		echo "Warning!";
		slhelp;
                exit 1
                ;;
  esac
  shift
done


if [ x"$INSTANCE" = "x" -o x"$SET" = "x" ]; then
    slhelp;
    exit 1
fi

relbase_miss 
if [ $? -ne 0 ]; then
    error $0 4;
    exit 1
fi

replication_exist $INSTANCE
if [ $? -ne 0 ]; then
    error $0 5 $INSTANCE;
    exit 1
fi

if [[ x$LANG = xfr* ]]; then
    echo "Ajout des objets..."
else
    echo "Adding objects..."
fi

echo " LOGFILE: ${SLON_LOG}/${INSTANCE}_${SET}_addobj.log"
/bin/bash ${SLON_TEMP}/${INSTANCE}_${SET}_addobj.slon > ${SLON_LOG}/${INSTANCE}_${SET}_addobj.log 2>&1
if [ $? -ne 0 ]; then
    error $0 1;
    exit 1
fi

echo "OK"
exit 0
